# Générateur de noms français

## Utilisation

```sh
./rust-name-gen --sequence "prenom patronyme"
```

### Pendant le developpement

```sh
cargo run -- --sequence "prenom patronyme"
```

### Arguments 

Tous les arguments sont facultatifs

- `--qty` - Nombre de noms générés, entre `1` et `50`. Défaut `10`.
- `--sep` - Le caractère de séparation entre les sections des noms générés. Utilise l'espace par défaut.
- `--gender` - Genre des noms générés, `m` ou `f`. Défaut au hasard.
- `--sequence` - Une suite de mots-clés pour déterminer la structure du nom, séparés par un espace. Valeurs acceptés : `prenom patronyme commun adjectif ppasse ppresent article virgule`. Défaut `prenom patronyme`
  - `ppasse`/`ppresent` pour "participe passé/présent".
  - `article` sera transformé en `le`/`la`/`l'`.
  - `virgule` est... une virgule.

Exemple :
```http
./rust-name-gen --qty 5 --sequence "prenom patronyme virgule article commun adjectif ppresent ppasse"
```

Résultat :
```json
[
  "Henriette Camino, la connectabilité rubanière glénante matée",
  "Léa Spinosi, l'exalgine sulfurée rempaquetante dignifiée",
  "Julie Fauville, la millénariste manipulatrice rabiautante resympathisée",
  "Eloi Nuns, l'abruzzais stéarique droguant corrélé",
  "Donat Lemardele, l'écourgeon violet insularisant rebrossé"
]
```

## Build de production

```
cargo build -r
```

## Remerciements

https://github.com/akaAgar/vocabulaire-francais

## License 

AGPL 3.0